Pengiriman dana (Pay-Out)smilepayz teams Sekitar 3 menit Kirim dana ke penerima di Indonesia: bank, VA, dompet digital, dll.
Request POST /v2.0/disbursement/pay-out
Request Path: sandbox: https://sandbox-gateway.smilepayz.com/v2.0/disbursement/pay-out production: https://gateway.smilepayz.com/v2.0/disbursement/pay-out
Field Required Type Description Content-TypeM String application/json X-TIMESTAMPM String Format: yyyy-MM-ddTHH:mm:ss±HH:mm X-SIGNATUREM String Request signature; Signature Generation . X-PARTNER-IDM String merchantID (alphanumeric).
Body Parameters Field Required Type Description orderNoM String(32) 6–32 alphanumeric; unique per merchant. purposeM String(64) UTF-8; length 1–64. merchantM Object Merchant routing and settlement. merchantId M String Platform merchant ID. merchantName O String UTF-8 display name. subMerchantId O String Sub-merchant ID. subMerchantName O String Sub-merchant name (UTF-8). moneyM Object Amount and currency. currency M String IDR only. amount M Number Integer minor units; range 10000–999999999 . paymentMethodM String(6) Channel code (e.g. BRI , BCA , DANA , OVO ). cashAccountM String(32) Bank VA or wallet ID; DANA uses 8xxxxxxx . receiverO Object Optional recipient details. name O String Recipient name (UTF-8). accountNo O String Alternative account hint. callbackUrlO String(256) Webhook URL; HTTP(S); max 256.
Example Body – Disbursement Request: Header Min Body
Content-type: application/json
X-TIMESTAMP: 2020-12-17T10:55:00+07:00
X-SIGNATURE: 7MHd9v5/m9JeqmDZVwWBZUZ5J5...7120QnFEny7Qm7uQR1G0TWCh10fsU6nVxiRoeoQ==
X-PARTNER-ID: 20001
{
"additionalParam" : { } ,
"cashAccount" : "78120011629261665" ,
"merchant" : {
"merchantId" : "20001"
} ,
"money" : {
"amount" : 10000 ,
"currency" : "IDR"
} ,
"orderNo" : "2000102900000000000001" ,
"paymentMethod" : "BRI" ,
"purpose" : "Purpose For Disbursement from Java SDK"
}
Responses HTTP Request Field Required Type Description Content-TypeM String application/json X-TIMESTAMPM String Format: yyyy-MM-ddTHH:mm:ss±HH:mm
Body Parameters Field Required Type Description codeM String 00 = success; other codes = error.messageM String Result text (UTF-8). orderNoM String Echo of orderNo . tradeNoO String Platform trade ID. merchantM Object Merchant Model . merchantId M String Merchant ID. merchantName O String Display name. subMerchantId O String Sub-merchant ID. subMerchantName O String Sub-merchant name. moneyM Object Money Model . currency M String IDR . amount M Number Integer minors. disbursementTimeM String When disbursement was processed (yyyy-MM-ddTHH:mm:ss±HH:mm). channelM Object Channel / recipient snapshot. paymentMethod O String Settled method code. cashAccount O String Recipient account. accountName O String Account holder name. statusO String Status Model .
Example Body – Disbursement Response: Header Body
Content-type: application/json
X-TIMESTAMP: 2020-12-17T10:55:00+07:00
{
"code" : "00" ,
"message" : "successful" ,
"orderNo" : "2000102900000000000001" ,
"tradeNo" : "1022000109e998347483949" ,
"merchant" : {
"merchantId" : "20001" ,
"merchantName" : "test" ,
"accountNo" : "2000124234782342"
} ,
"money" : {
"currency" : "IDR" ,
"amount" : 10000
} ,
"disbursementTime" : "2024-12-17T10:55:00" ,
"channel" : {
"paymentMethod" : "BRI" ,
"cashAccount" : "78120011629261665" ,
"accountName" : "Betty"
} ,
"status" : "PROCESSING"
}
Notification/Callback HTTP Request Field Required Type Description Content-TypeM String application/json X-TIMESTAMPM String Format: yyyy-MM-ddTHH:mm:ss±HH:mm X-SIGNATUREM String Callback signature; verify .
Body Parameters Field Required Type Description orderNoM String Same orderNo as payout request. tradeNoM String Platform tradeNo . merchantIdM String Merchant ID. merchantNameM String Display name. subMerchantIdO String Sub-merchant ID. subMerchantNameO String Sub-merchant name. paymentMethodM String Settled channel (e.g. BRI , BCA ). transactionTimeM String Format: yyyy-MM-ddTHH:mm:ss±HH:mm moneyM Object Final amount; Money Model . currency M String IDR . amount M Number Integer minors. statusM String Status Model .
Return Penting
Balas hanya dengan string SUCCESS.
Request Response
{
"orderNo" : "2000102900000000000001" ,
"tradeNo" : "1022000109e998347483949" ,
"merchantId" : "20001" ,
"merchantName" : "test" ,
"subMerchantId" : "" ,
"subMerchantName" : "" ,
"paymentMethod" : "BRI" ,
"transactionTime" : "2024-12-17T10:55:00" ,
"money" : {
"currency" : "IDR" ,
"amount" : 10000
} ,
"status" : "SUCCESS"
}
Sebelumnya
Pembayaran masuk (Pay-In)